commit:     9cbb51da5625ca7f522fefcfc60485bc974f9d29
Author:     François Bissey <frp.bissey <AT> gmail <DOT> com>
AuthorDate: Thu Oct 22 06:43:11 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Jun 16 17:50:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9cbb51da

sci-mathematics/nauty: fix bug #750482 + port to EAPI 7

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Bug: https://bugs.gentoo.org/750482
Signed-off-by: François René Pierre Bissey <frp.bissey <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/17998
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-mathematics/nauty/nauty-2.6.7-r1.ebuild | 56 +++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

diff --git a/sci-mathematics/nauty/nauty-2.6.7-r1.ebuild 
b/sci-mathematics/nauty/nauty-2.6.7-r1.ebuild
new file mode 100644
index 00000000000..3bbf8f7251b
--- /dev/null
+++ b/sci-mathematics/nauty/nauty-2.6.7-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+MY_PV1=$(ver_rs 2 'r')
+MY_PV=$(ver_rs 1 '' $(ver_rs 2 'r'))
+
+DESCRIPTION="Computing automorphism groups of graphs and digraphs"
+HOMEPAGE="https://pallini.di.uniroma1.it/";
+DEBIAN_PATCH_VERSION="1"
+SRC_URI="http://cs.anu.edu.au/~bdm/${PN}/${PN}${MY_PV}.tar.gz
+       
mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${MY_PV1}+ds-${DEBIAN_PATCH_VERSION}.debian.tar.xz
+       
http://pkgs.fedoraproject.org/cgit/rpms/nauty.git/plain/nauty-popcnt.patch";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-libs/gmp:0
+       sys-libs/zlib"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}${MY_PV}"
+DOCS=( schreier.txt config.txt formats.txt changes24-26.txt )
+PATCHES=(
+       "${WORKDIR}"/debian/patches/upstream-lintian-spelling-error.patch
+       "${WORKDIR}"/debian/patches/upstream-fix-gt_numorbits.patch
+       "${WORKDIR}"/debian/patches/upstream-fix-include-extern.patch
+       "${WORKDIR}"/debian/patches/upstream-zlib-blisstog_c.patch
+       "${WORKDIR}"/debian/patches/upstream-C2help2man.patch
+       "${WORKDIR}"/debian/patches/upstream-autotoolization.patch
+       "${WORKDIR}"/debian/patches/system-preprocessing-examples.patch
+       "${DISTDIR}"/nauty-popcnt.patch
+)
+
+src_prepare() {
+       default
+       rm makefile || die
+       eautoreconf
+}
+
+src_configure() {
+       econf --disable-static --enable-runtime-popcnt --enable-tls
+}
+
+src_install() {
+       default
+
+       # remove .la file
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to